---
title: FinalizationRegistry() constructor
slug: >-
  Web/JavaScript/Reference/Global_Objects/FinalizationRegistry/FinalizationRegistry
tags:
  - Constructor
  - FinalizationRegistry
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>FinalizationRegistry</code></strong> constructor creates a {{jsxref("FinalizationRegistry")}} object that uses the given callback.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new FinalizationRegistry([<var>callback</var>]);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>callback</var></code> {{optional_inline}}</dt>
 <dd>The callback function this registry should use. If provided, this must be a function.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_new_registry">Creating a new registry</h3>

<p>You create the registry passing in the callback:</p>

<pre class="brush: js notranslate">const registry = new FinalizationRegistry(heldValue =&gt; {
  // ....
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WeakRefs', '#sec-finalization-registry-constructor', 'FinalizationRegistry constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.FinalizationRegistry.FinalizationRegistry")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("FinalizationRegistry")}}</li>
</ul>
